# xarray.core.accessor_str.StringAccessor.rfind

`StringAccessor.``rfind`(sub, start=0, end=None)

  Return highest indexes in each strings in the array where the substring is fully contained between [start:end]. Return -1 on failure.

  Parameters:

  - sub (str) – Substring being searched
  - start (int) – Left edge index
  - end (int) – Right edge index

  Returns: | found
  Return type: | array of integer values